package com.bonus.canteen.core.drp.constant;

public enum DrpIntoInventoryTypeEnum {
   PURCHASE(1, "采购入库"),
   BACK(2, "退料入库"),
   ALLOT(3, "调拨入库"),
   INTO_OUT(5, "即入即出"),
   SUPERMARKET_REFUND(6, "超市退单入库"),
   CHECK_INTO(7, "盘点入库");

   private final Integer key;
   private final String value;

   private DrpIntoInventoryTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpIntoInventoryTypeEnum[] enums = values();
      DrpIntoInventoryTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpIntoInventoryTypeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpIntoInventoryTypeEnum[] enums = values();
      DrpIntoInventoryTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpIntoInventoryTypeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
